aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xbin/build-tiny13.sh30
-rwxr-xr-xbin/build-tiny25.sh30
-rwxr-xr-xbin/build-tiny85.sh30
-rwxr-xr-xbin/build.sh30
4 files changed, 36 insertions, 84 deletions
diff --git a/bin/build-tiny13.sh b/bin/build-tiny13.sh
index c1f0446..d4b492f 100755
--- a/bin/build-tiny13.sh
+++ b/bin/build-tiny13.sh
@@ -1,30 +1,4 @@
#!/bin/bash
-# Instead of using a Makefile, since most of the firmwares here build in the
-# same exact way, here's a script to do the same thing
-
-export PROGRAM=$1 ; shift
-export ATTINY=13
-export MCU=attiny$ATTINY
-export CC=avr-gcc
-export OBJCOPY=avr-objcopy
-export CFLAGS="-Wall -g -Os -mmcu=$MCU -c -std=gnu99 -DATTINY=$ATTINY -I.. -I../.. -I../../.. -fshort-enums"
-export OFLAGS="-Wall -g -Os -mmcu=$MCU"
-export LDFLAGS=
-export OBJCOPYFLAGS='--set-section-flags=.eeprom=alloc,load --change-section-lma .eeprom=0 --no-change-warnings -O ihex'
-export OBJS=$PROGRAM.o
-
-for arg in "$*" ; do
- OTHERFLAGS="$OTHERFLAGS $arg"
-done
-
-function run () {
- echo $*
- $*
- if [ x"$?" != x0 ]; then exit 1 ; fi
-}
-
-run $CC $OTHERFLAGS $CFLAGS -o $PROGRAM.o -c $PROGRAM.c
-run $CC $OFLAGS $LDFLAGS -o $PROGRAM.elf $PROGRAM.o
-run $OBJCOPY $OBJCOPYFLAGS $PROGRAM.elf $PROGRAM.hex
-run avr-size -C --mcu=$MCU $PROGRAM.elf | grep Full
+BASEDIR=$(dirname "$0")
+$BASEDIR/build.sh 13 $*
diff --git a/bin/build-tiny25.sh b/bin/build-tiny25.sh
index a775a0f..779f1ef 100755
--- a/bin/build-tiny25.sh
+++ b/bin/build-tiny25.sh
@@ -1,30 +1,4 @@
#!/bin/bash
-# Instead of using a Makefile, since most of the firmwares here build in the
-# same exact way, here's a script to do the same thing
-
-export PROGRAM=$1 ; shift
-export ATTINY=25
-export MCU=attiny$ATTINY
-export CC=avr-gcc
-export OBJCOPY=avr-objcopy
-export CFLAGS="-Wall -g -Os -mmcu=$MCU -c -std=gnu99 -DATTINY=$ATTINY -I.. -I../.. -I../../.. -fshort-enums"
-export OFLAGS="-Wall -g -Os -mmcu=$MCU"
-export LDFLAGS=
-export OBJCOPYFLAGS='--set-section-flags=.eeprom=alloc,load --change-section-lma .eeprom=0 --no-change-warnings -O ihex'
-export OBJS=$PROGRAM.o
-
-for arg in "$*" ; do
- OTHERFLAGS="$OTHERFLAGS $arg"
-done
-
-function run () {
- echo $*
- $*
- if [ x"$?" != x0 ]; then exit 1 ; fi
-}
-
-run $CC $OTHERFLAGS $CFLAGS -o $PROGRAM.o -c $PROGRAM.c
-run $CC $OFLAGS $LDFLAGS -o $PROGRAM.elf $PROGRAM.o
-run $OBJCOPY $OBJCOPYFLAGS $PROGRAM.elf $PROGRAM.hex
-run avr-size -C --mcu=$MCU $PROGRAM.elf | grep Full
+BASEDIR=$(dirname "$0")
+$BASEDIR/build.sh 25 $*
diff --git a/bin/build-tiny85.sh b/bin/build-tiny85.sh
index f0cf1b9..6ee8397 100755
--- a/bin/build-tiny85.sh
+++ b/bin/build-tiny85.sh
@@ -1,30 +1,4 @@
#!/bin/bash
-# Instead of using a Makefile, since most of the firmwares here build in the
-# same exact way, here's a script to do the same thing
-
-export PROGRAM=$1 ; shift
-export ATTINY=85
-export MCU=attiny$ATTINY
-export CC=avr-gcc
-export OBJCOPY=avr-objcopy
-export CFLAGS="-Wall -g -Os -mmcu=$MCU -c -std=gnu99 -DATTINY=$ATTINY -I.. -I../.. -I../../.. -fshort-enums"
-export OFLAGS="-Wall -g -Os -mmcu=$MCU"
-export LDFLAGS=
-export OBJCOPYFLAGS='--set-section-flags=.eeprom=alloc,load --change-section-lma .eeprom=0 --no-change-warnings -O ihex'
-export OBJS=$PROGRAM.o
-
-for arg in "$*" ; do
- OTHERFLAGS="$OTHERFLAGS $arg"
-done
-
-function run () {
- echo $*
- $*
- if [ x"$?" != x0 ]; then exit 1 ; fi
-}
-
-run $CC $OTHERFLAGS $CFLAGS -o $PROGRAM.o -c $PROGRAM.c
-run $CC $OFLAGS $LDFLAGS -o $PROGRAM.elf $PROGRAM.o
-run $OBJCOPY $OBJCOPYFLAGS $PROGRAM.elf $PROGRAM.hex
-run avr-size -C --mcu=$MCU $PROGRAM.elf | grep Full
+BASEDIR=$(dirname "$0")
+$BASEDIR/build.sh 85 $*
diff --git a/bin/build.sh b/bin/build.sh
new file mode 100755
index 0000000..6920a3f
--- /dev/null
+++ b/bin/build.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+# Instead of using a Makefile, since most of the firmwares here build in the
+# same exact way, here's a script to do the same thing
+
+export ATTINY=$1 ; shift
+export PROGRAM=$1 ; shift
+export MCU=attiny$ATTINY
+export CC=avr-gcc
+export OBJCOPY=avr-objcopy
+export CFLAGS="-Wall -g -Os -mmcu=$MCU -c -std=gnu99 -DATTINY=$ATTINY -I.. -I../.. -I../../.. -fshort-enums"
+export OFLAGS="-Wall -g -Os -mmcu=$MCU"
+export LDFLAGS=
+export OBJCOPYFLAGS='--set-section-flags=.eeprom=alloc,load --change-section-lma .eeprom=0 --no-change-warnings -O ihex'
+export OBJS=$PROGRAM.o
+
+for arg in "$*" ; do
+ OTHERFLAGS="$OTHERFLAGS $arg"
+done
+
+function run () {
+ echo $*
+ $*
+ if [ x"$?" != x0 ]; then exit 1 ; fi
+}
+
+run $CC $OTHERFLAGS $CFLAGS -o $PROGRAM.o -c $PROGRAM.c
+run $CC $OFLAGS $LDFLAGS -o $PROGRAM.elf $PROGRAM.o
+run $OBJCOPY $OBJCOPYFLAGS $PROGRAM.elf $PROGRAM.hex
+run avr-size -C --mcu=$MCU $PROGRAM.elf | grep Full